---
title: "Download generated TMY data"
slug: "download-generated-tmy-data"
updated: 2026-03-02T09:10:20Z
published: 2026-03-02T09:10:20Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://kb.solargis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get TMY data in different formats

Get/tmy/data-request/{requestId}/{outputFormat}

		
			

| **Request type:** | GET |
| --- | --- |
| **URL**: | https://api.solargis.com/tmy/data-request/{requestid}/{outputFormat} |
| **Authorization**: | Bearer {API token} |

Use this endpoint to get your TMY data in different formats.

**Key points to remember before you proceed:**

- You need a live Solargis account and have purchased the TMY Basic or TMY Pro service.
- Calls to this API are paid and will deduct credits from your API call allowance.
- Allowed `outputFormat` values are listed in the table below.
- You will need to use the same [API token](/v1-api/apidocs/generating-api-tokens) that you have used when obtaining the `requestId.`
- You can get the data using the API console to the right. Learn how to use the console in the [Using the API console](/v1-api/apidocs/testing-the-endpoints) guide.
- The API console will show `SOLARGIS_JSON` format data only. All other formats are not supported by the console and need to be used elsewhere to view the received data.

| Parameter | Allowed values |
| --- | --- |
| `&quot;outputFormat&quot;` | `&quot;SOLARGIS_JSON&quot;` `&quot;SOLARGIS_CSV&quot;` `&quot;SAM&quot;` `&quot;HELIOSCOPE&quot;` |

		
		
SecurityHTTPType bearer

Enter your Solargis TMY Bearer token.

Path parametersrequestIdstringRequired
outputFormatstringRequiredValid values[
  "SOLARGIS_JSON",
  "SOLARGIS_CSV",
  "SAM",
  "HELIOSCOPE"
]

Responses200

TMY data in requestd format

400

Bad request format

<select class='api-response-data' aria-label='Media type'><option value='0f124dfb-7071-4d85-9c00-41880f84c420'>application/json</option>
</select>object  

Bad request format

errorstring    Exampleapi.data_request.output_format

401

Invalid authorization

<select class='api-response-data' aria-label='Media type'><option value='79280d38-2b6c-42c2-8f84-f865a7185e51'>application/json</option>
</select>object  

Invalid authorization

errorstring    Exampletoken.invalid

404

Bad requestId

<select class='api-response-data' aria-label='Media type'><option value='3ec3801e-30d1-460c-8462-37255138161d'>application/json</option>
</select>object  errorstring    Exampleapi.data_request.not_found
